"use strict";

var _react = _interopRequireDefault(require("react"));

var _PhotoCamera = _interopRequireDefault(require("@material-ui/icons/PhotoCamera"));

var _core = require("@material-ui/core");

var _enzymeUtils = require("q3-ui-test-utils/lib/enzymeUtils");

var _PhotoUpload = require("./PhotoUpload");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

beforeAll(() => {
  jest.spyOn(_react.default, 'useEffect').mockImplementation(fn => fn());
});

const expectVisual = (src, el) => expect(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadPreview, {
  src: src
})).find(el)).toHaveLength(1);

describe('PhotoUpload', () => {
  it('should render nothing', () => {
    (0, _enzymeUtils.doesNotExist)(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadStatus, null)).find(_core.IconButton));
  });
  it('should render button', () => {
    (0, _enzymeUtils.exists)(global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadStatus, {
      onDelete: jest.fn(),
      file: {
        url: 'https://google.ca'
      }
    })).find(_core.IconButton));
  });
  it('should call alert', () => {
    global.alert = jest.fn();
    global.shallow( /*#__PURE__*/_react.default.createElement(_PhotoUpload.FileUploadStatus, {
      onDelete: jest.fn(),
      file: {
        error: 'Whoops!'
      }
    }));
    expect(global.alert).toHaveBeenCalledWith('photoFailedToUpload');
  });
  it('should render image', () => expectVisual('https://google.ca', 'img'));
  it('should render icon', () => expectVisual(undefined, _PhotoCamera.default));
});